/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;
import java.util.List;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-03-22 17:00:54  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "")
public class DwManualExecJob extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_dirId = "dirId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_caseId = "caseId";
  public static final String KEY_execStatus = "execStatus";
  public static final String KEY_respOwner = "respOwner";
  public static final String KEY_respOwnerType = "respOwnerType";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_deleted = "deleted";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-dirId: 数据长度不能 > 32" )
  private String dirId;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-caseId: 数据长度不能 > 32" )
  private String caseId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  private Integer execStatus;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-respOwner: 数据长度不能 > 32" )
  private String respOwner;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1, message="-respOwnerType: 数据长度不能 > 1" )
  private String respOwnerType;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 逻辑删除(0-未删除,1-已删除)<br>
   */
  @ApiModelProperty("逻辑删除(0-未删除,1-已删除)")
  private Boolean deleted;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * <br>
   */
  public String getDirId()
  {
      return dirId;
    }

  /**
   * <br>
   *
   * @param dirId 
   */
  public void setDirId(String dirId)
  {
      this.dirId = dirId;
    }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getCaseId()
  {
      return caseId;
    }

  /**
   * <br>
   *
   * @param caseId 
   */
  public void setCaseId(String caseId)
  {
      this.caseId = caseId;
    }
  /**
   * <br>
   */
  public Integer getExecStatus()
  {
      return execStatus;
    }

  /**
   * <br>
   *
   * @param execStatus 
   */
  public void setExecStatus(Integer execStatus)
  {
      this.execStatus = execStatus;
    }
  /**
   * <br>
   */
  public String getRespOwner()
  {
      return respOwner;
    }

  /**
   * <br>
   *
   * @param respOwner 
   */
  public void setRespOwner(String respOwner)
  {
      this.respOwner = respOwner;
    }
  /**
   * <br>
   */
  public String getRespOwnerType()
  {
      return respOwnerType;
    }

  /**
   * <br>
   *
   * @param respOwnerType 
   */
  public void setRespOwnerType(String respOwnerType)
  {
      this.respOwnerType = respOwnerType;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 逻辑删除(0-未删除,1-已删除)<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 逻辑删除(0-未删除,1-已删除)<br>
   *
   * @param deleted 逻辑删除(0-未删除,1-已删除)
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }

  public DwManualExecJob()
  {
  }

}
